import { createServiceUrl } from '../utils/url-helper';

export const API_URL = '/api';
export const COMMON_DICTIONARY_SERVICE_URL = 'common-dictionary';
export const CLIENT_DICTIONARY_SERVICE_URL = 'client-dictionary';
export const CLIENT_PROXY_URL = `${API_URL}/${CLIENT_DICTIONARY_SERVICE_URL}`;
export const CLIENT_PROXY_INTERNAL = `${CLIENT_PROXY_URL}-internal`;
export const COMMON_PROXY_URL = `${API_URL}/${COMMON_DICTIONARY_SERVICE_URL}`;
export const COMMON_PROXY_INTERNAL = `${API_URL}/${COMMON_DICTIONARY_SERVICE_URL}-internal`;
export const COMMON_DICTIONARY_URL = `${API_URL}/${COMMON_DICTIONARY_SERVICE_URL}/dictionary/common`;
export const COMMON_DICTIONARY_URL_INTERNAL = `${API_URL}/${COMMON_DICTIONARY_SERVICE_URL}-internal/internal/dictionary/common`;
export const CLIENT_DICTIONARY_URL = `${CLIENT_PROXY_URL}/dictionary/client`;
export const CLIENT_DICTIONARY_URL_INTERNAL = `${CLIENT_PROXY_INTERNAL}/internal/dictionary/client`;
export const API_UAA_URL = '/api/uaa';
export const API_UAA_INTERNAL_URL = '/api/uaa-internal';
export const API_OAUTH_URL = `${API_UAA_URL}/oauth`;
export const API_OAUTH_INTERNAL_URL = `${API_UAA_INTERNAL_URL}/oauth`;

export const createCommonDictionaryServiceUrl = createServiceUrl(COMMON_DICTIONARY_URL, COMMON_DICTIONARY_URL_INTERNAL);
export const createClientDictionaryServiceUrl = createServiceUrl(CLIENT_DICTIONARY_URL, CLIENT_DICTIONARY_URL_INTERNAL);
export const createCommonProxyServiceUrl = createServiceUrl(COMMON_PROXY_URL, COMMON_PROXY_INTERNAL);
export const createClientLocaleServiceUrl = createServiceUrl(CLIENT_PROXY_URL, CLIENT_PROXY_INTERNAL);
export const getOkopfUrl = createCommonDictionaryServiceUrl('okopf');
export const getOkfsfUrl = createCommonDictionaryServiceUrl('okfs');
export const getBankClientUrl = createClientDictionaryServiceUrl('bank-client');
export const getCurrencyUrl = createClientDictionaryServiceUrl('currency');
export const getActivityTypeUrl = createClientDictionaryServiceUrl('activity-type');
export const getClientOfficialUrl = createClientDictionaryServiceUrl('client-official');
export const getCountryUrl = createClientDictionaryServiceUrl('country');
export const getAccountTypeUrl = createClientDictionaryServiceUrl('account-type');
export const getBranchUrl = createClientDictionaryServiceUrl('branch');
export const getGkUrl = createClientDictionaryServiceUrl('goz-contract');
export const getAccountUrl = createClientDictionaryServiceUrl('account');
export const getFiasUrl = createCommonProxyServiceUrl('suggest');
export const getLocaleUrl = createClientLocaleServiceUrl('i18n');
export const getConsentUrl = createClientDictionaryServiceUrl('consent-document');
export const getCityVisitingManagerUrl = createClientDictionaryServiceUrl('city-visiting-manager');
